---
updatedAt: 2025-02-19T23:29:24.000Z
agentTools:
  projectIndex: https://api-docs.ankr.com/llms.txt
---

# ankr_getTokenTransfers

Retrieves the details of token transfers for the specified wallet address.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Ankr Advanced API",
    "version": ""
  },
  "servers": [
    {
      "url": "https://rpc.ankr.com/multichain/79258ce7f7ee046decc3b5292a24eb4bf7c910d7e39b691384c7ce0cfb839a01"
    }
  ],
  "tags": [
    {
      "name": "Query API"
    }
  ],
  "paths": {
    "/?ankr_getTokenTransfers": {
      "post": {
        "tags": [
          "Query API"
        ],
        "summary": "ankr_getTokenTransfers",
        "description": "Retrieves the details of token transfers for the specified wallet address.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "required": [
                  "id",
                  "jsonrpc",
                  "method",
                  "params"
                ],
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "jsonrpc": {
                    "enum": [
                      "2.0"
                    ],
                    "type": "string"
                  },
                  "method": {
                    "enum": [
                      "ankr_getTokenTransfers"
                    ],
                    "type": "string"
                  },
                  "params": {
                    "type": "object",
                    "properties": {
                      "address": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        },
                        "description": "Address or a list of addresses to get transfer information on."
                      },
                      "blockchain": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        },
                        "description": "Name of the blockchain or list of blockchain names. Single: eth. Multiple: [arbitrum, avalanche, base, bsc, eth, fantom, flare, gnosis, linea, optimism, polygon, polygon_zkevm, rollux, scroll, syscoin, avalanche_fuji, eth_goerli, optimism_testnet, polygon_mumbai]. All chains: empty value.",
                        "nullable": true
                      },
                      "descOrder": {
                        "type": "boolean",
                        "description": "Sorting order. Descending (true) or ascending (false)."
                      },
                      "fromBlock": {
                        "minimum": 0,
                        "type": "integer",
                        "description": "Number of the first block in a range. Integer or string (number, hex value, 'earliest' or 'latest')."
                      },
                      "fromTimestamp": {
                        "minimum": 0,
                        "type": "integer",
                        "description": "Beginning of a time period. UNIX timestamp."
                      },
                      "pageSize": {
                        "type": "integer",
                        "description": "Number of entries per page. int32. Max value — 10000, default value — 100."
                      },
                      "pageToken": {
                        "type": "string",
                        "description": "Current page token for pagination."
                      },
                      "syncCheck": {
                        "type": "boolean",
                        "description": "If false, the data is returned regardless of indexer health, if true, the data is returned only when the indexer health check is positive."
                      },
                      "toBlock": {
                        "description": "Number of the last block in a range. Integer or string (number, hex value, 'earliest' or 'latest')."
                      },
                      "toTimestamp": {
                        "description": "End of a time period. UNIX timestamp."
                      }
                    },
                    "description": "Click on PARAM OBJECT and edit body params before clicking Try it! And set request id!"
                  }
                }
              },
              "examples": {
                "By timestamp range": {
                  "value": {
                    "id": 1,
                    "jsonrpc": "2.0",
                    "method": "ankr_getTokenTransfers",
                    "params": {
                      "address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
                      "blockchain": [
                        "eth",
                        "bsc"
                      ],
                      "fromTimestamp": 1655197483,
                      "toTimestamp": 1671974699
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "required": [
                    "id",
                    "jsonrpc",
                    "result"
                  ],
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer"
                    },
                    "jsonrpc": {
                      "enum": [
                        "2.0"
                      ],
                      "type": "string"
                    },
                    "result": {
                      "required": [
                        "transfers"
                      ],
                      "type": "object",
                      "properties": {
                        "nextPageToken": {
                          "type": "string",
                          "description": "Next page token for pagination."
                        },
                        "syncStatus": {
                          "type": "object",
                          "properties": {
                            "lag": {
                              "type": "string",
                              "description": "Timestamp difference between the latest block on the blockchain and on the indexer."
                            },
                            "status": {
                              "type": "string",
                              "description": "Sync status of the indexer: synced or outOfSync."
                            },
                            "timestamp": {
                              "minimum": 0,
                              "type": "integer",
                              "description": "Timestamp of latest block the indexer is at."
                            }
                          },
                          "description": "Information on the status of the queried indexer.",
                          "nullable": true
                        },
                        "transfers": {
                          "type": "array",
                          "items": {
                            "required": [
                              "value",
                              "valueRawInteger",
                              "blockchain",
                              "tokenDecimals",
                              "thumbnail",
                              "transactionHash",
                              "blockHeight",
                              "timestamp"
                            ],
                            "type": "object",
                            "properties": {
                              "blockHeight": {
                                "minimum": 0,
                                "type": "integer",
                                "description": "Number of the block with the token transaction."
                              },
                              "blockchain": {
                                "type": "string",
                                "description": "Name of the blockchain token was transferred on."
                              },
                              "contractAddress": {
                                "description": "Contract address of the token."
                              },
                              "direction": {
                                "type": "string",
                                "description": "Direction of the transaction (in or out)."
                              },
                              "fromAddress": {
                                "type": "string",
                                "description": "Address the token was sent from."
                              },
                              "thumbnail": {
                                "type": "string",
                                "description": "URL to the thumbnail (logo or symbol) of the token."
                              },
                              "timestamp": {
                                "minimum": 0,
                                "type": "integer",
                                "description": "UNIX timestamp when the block with the token transaction was collated."
                              },
                              "toAddress": {
                                "description": "Address the token was sent to."
                              },
                              "tokenDecimals": {
                                "type": "integer",
                                "description": "Number of decimals the token supports."
                              },
                              "tokenName": {
                                "type": "string",
                                "description": "Name of the token."
                              },
                              "tokenSymbol": {
                                "type": "string",
                                "description": "Symbol of the token."
                              },
                              "transactionHash": {
                                "type": "string",
                                "description": "Hash of the transaction that involved token transfer."
                              },
                              "value": {
                                "type": "string",
                                "description": "Value transferred."
                              },
                              "valueRawInteger": {
                                "type": "string",
                                "description": "Raw value: value*10^decimals."
                              }
                            }
                          },
                          "description": "Token transfers.",
                          "nullable": true
                        }
                      },
                      "description": "Result of the query."
                    }
                  }
                },
                "examples": {
                  "Multichain transfers": {
                    "value": {
                      "id": 1,
                      "jsonrpc": "2.0",
                      "result": {
                        "transfers": [
                          {
                            "blockHeight": 4593859,
                            "blockchain": "eth",
                            "contractAddress": "0xdd974d5c2e2928dea5f71b9825b8b646686bd200",
                            "fromAddress": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
                            "thumbnail": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdd974D5C2e2928deA5F71b9825b8b646686BD200/logo.png",
                            "timestamp": 1511258315,
                            "toAddress": "0x0cfb686e114d478b055ce8614621f8bb62f70360",
                            "tokenDecimals": 18,
                            "tokenName": "Kyber Network Crystal",
                            "tokenSymbol": "KNC",
                            "transactionHash": "0xfc2192e9716490dbe46c3d59c7c99f81d3b685118b01e2812872a6aae7049c4b",
                            "value": "3420332",
                            "valueRawInteger": ""
                          },
                          {
                            "blockHeight": 10762240,
                            "blockchain": "bsc",
                            "contractAddress": "0xc33fc11b55465045b3f1684bde4c0aa5c5f40124",
                            "fromAddress": "0xc33fc11b55465045b3f1684bde4c0aa5c5f40124",
                            "thumbnail": "",
                            "timestamp": 1631185820,
                            "toAddress": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
                            "tokenDecimals": 9,
                            "tokenName": "BNBw.io",
                            "tokenSymbol": "BNBw",
                            "transactionHash": "0x74aa1d7c858bd8d9bb1daf5311ec5f6cdb16df165e6f242127f6502775993570",
                            "value": "21131181",
                            "valueRawInteger": ""
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-readme": {
          "code-samples": [
            {
              "code": "import { AnkrProvider } from '@ankr.com/ankr.js';\n\nconst provider = new AnkrProvider();\nconst tokenTransfers = async () => {\n  return await provider.getTokenTransfers({ \n    blockchain:    'eth',\n    address:       '0xf16e9b0d03470827a95cdfd0cb8a8a3b46969b91',\n    fromTimestamp: 1674441035,\n    toTimestamp:   1674441035,\n    pageSize:      1,\n    descOrder: true,\n    includeLogs: true });\n};\ntokenTransfers().then((reply) => {\n  console.log(reply)\n})\n",
              "install": "npm install @ankr.com/ankr.js",
              "language": "node",
              "name": "Request via Ankr.js SDK"
            }
          ]
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```